GWT 2.7.0

## com.google.gwt.core.ext.typeinfo
Interface JEnumType

All Superinterfaces:
  HasAnnotations, HasMetaData, JClassType, JRealClassType, JType

    public interface JEnumType

extends JRealClassType

Type representing a Java enumerated type.

Method Summary
`JEnumConstant[]` | `getEnumConstants()` Returns the enumeration constants declared by this enumeration.

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JRealClassType
`getLastModifiedTime`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isLocalType, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType
`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getEnumConstants

    JEnumConstant[] getEnumConstants()

  Returns the enumeration constants declared by this enumeration.

  Returns:
    enumeration constants declared by this enumeration

GWT 2.7.0